Bug 1234519 - Package should not ship a -el sub-package
Summary: Package should not ship a -el sub-package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-common-ess
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex Lancaster
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:39 UTC by Jonathan Underwood
Modified: 2016-05-20 23:53 UTC (History)
2 users (show)

Fixed In Version: emacs-common-ess-16.04-1.fc24 emacs-common-ess-16.04-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 16:28:31 UTC


Attachments (Terms of Use)

Description Jonathan Underwood 2015-06-22 17:39:13 UTC
The Emacs add-on packging guidelines no longer stipulate that elisp source files be shipped in a separate sub-package. The -el subpackage should be removed, and the elisp source files should be packaged in the main package. See http://fedoraproject.org/wiki/Packaging:Emacs for more detail, and please take note of the Obsoletes/Provides concern noted there.

Comment 1 Jan Kurik 2015-07-15 13:57:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 José Matos 2015-07-27 15:25:00 UTC
I have updated the package in http://koji.fedoraproject.org/koji/taskinfo?taskID=10494136 and while doing that I have removed the -el sub-package.

The purpose of the build was to remove the FTBFS status that could remove the package from Fedora. :-)

I think that I got right the obsolete and since this is a leave package I did not add the provides. Are those really required for a package like this?

Comment 3 Jonathan Underwood 2015-07-27 15:31:14 UTC
It may be a leaf package in Fedora, but someone else may have local packages depending on it (slim chance, I know), so that's why I always add the Provides as well - no harm done in doing so.

Thanks very much for getting to it (though if it's unmaintained probably it's worth letting it retire eventually).

Comment 4 Jonathan Underwood 2015-07-27 15:34:00 UTC
Also I see this in the changelog:

- remove xemacs support since it was dropped upstream in version 12.04

... in which case the package should really be renamed to emacs-ess.

Comment 5 José Matos 2015-07-27 15:53:42 UTC
Not necessarily. :-)

According to upstream:
http://ess.r-project.org/Manual/readme.html#Requirements

"Due to XEmacs lacking some features that ESS requires, ESS support of XEmacs ends with ESS 12.04-4. This decision will be re-visited in the future as XEmacs continues to sync with GNU Emacs."

As long as this is the upstream view, I suggest to let the package as it is. Does this makes sense? :-)

Comment 6 José Matos 2015-07-27 16:00:12 UTC
(In reply to Jonathan Underwood from comment #3)
> It may be a leaf package in Fedora, but someone else may have local packages
> depending on it (slim chance, I know), so that's why I always add the
> Provides as well - no harm done in doing so.

Right, I will add the provides and request a new build for f23 and f24.

> Thanks very much for getting to it (though if it's unmaintained probably
> it's worth letting it retire eventually).

I use it on a regular basis so I have request ACL commit rights to the package so that it does not get abandoned in Fedora. Upstream as regular commits so it is alive and well. :-)

Comment 7 Jonathan Underwood 2015-07-27 16:10:18 UTC
(In reply to José Matos from comment #5)
> Not necessarily. :-)
> 
> According to upstream:
> http://ess.r-project.org/Manual/readme.html#Requirements
> 
> "Due to XEmacs lacking some features that ESS requires, ESS support of
> XEmacs ends with ESS 12.04-4. This decision will be re-visited in the future
> as XEmacs continues to sync with GNU Emacs."
> 
> As long as this is the upstream view, I suggest to let the package as it is.
> Does this makes sense? :-)

OK, fine with me, if you're sure you'd want to ship and support the Xemacs sub-package in the future :)

Comment 8 Jonathan Underwood 2015-07-27 16:10:45 UTC
(In reply to José Matos from comment #6)
> (In reply to Jonathan Underwood from comment #3)
> > It may be a leaf package in Fedora, but someone else may have local packages
> > depending on it (slim chance, I know), so that's why I always add the
> > Provides as well - no harm done in doing so.
> 
> Right, I will add the provides and request a new build for f23 and f24.
> 
> > Thanks very much for getting to it (though if it's unmaintained probably
> > it's worth letting it retire eventually).
> 
> I use it on a regular basis so I have request ACL commit rights to the
> package so that it does not get abandoned in Fedora. Upstream as regular
> commits so it is alive and well. :-)

OK, great.

Comment 9 Fedora Update System 2016-05-09 09:50:16 UTC
emacs-common-ess-16.04-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbe316df78

Comment 10 Fedora Update System 2016-05-09 09:50:57 UTC
emacs-common-ess-16.04-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-476e7b1106

Comment 11 Fedora Update System 2016-05-10 19:26:43 UTC
emacs-common-ess-16.04-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-476e7b1106

Comment 12 Fedora Update System 2016-05-10 20:31:08 UTC
emacs-common-ess-16.04-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cbe316df78

Comment 13 Fedora Update System 2016-05-16 16:28:15 UTC
emacs-common-ess-16.04-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-20 23:53:29 UTC
emacs-common-ess-16.04-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.